Subject: [MLS] Re: WG Last Call: draft-ietf-mls-partial-02 (Ends 2026-05-21)
From: Sean Turner <[email-masked]>
To: MLS List <[email-masked]>
Cc: [email-masked], MLS Chairs <[email-masked]>
Date: Thu, 28 May 2026 08:32:15 -0400
List-Id: Messaging Layer Security <mls.ietf.org>

Hi! We are going to extend this WGLC to 2026-06-11.

If you have read this document please let us know whether you think that it is ready to progress.

Cheers,
spt

> On May 19, 2026, at 13:44, Sean Turner <[email-masked]> wrote:
> 
> A reminder that this working group last call ends on 2026-05-21 (Thursday).
> 
> I am hoping that those who indicated that they read the draft at IETF 125 will let us know their thoughts about progressing the draft.
> 
> spt
> 
>> On May 7, 2026, at 13:28, Sean Turner via Datatracker <[email-masked]> wrote:
>> 
>> This message starts a WG Last Call for:
>> draft-ietf-mls-partial-02
>> 
>> This Working Group Last Call ends on 2026-05-21
>> 
>> Abstract:
>>  The Messaging Layer Security (MLS) protocol provides efficient
>>  asynchronous group key establishment for large groups with up to
>>  thousands of clients.  In MLS, any member can commit a change to the
>>  group, and consequently, all members must download, validate, and
>>  maintain the full group state, which can incur a significant
>>  communication and computational costs, especially when joining a
>>  group.  This document defines an MLS extension to support "partial
>>  MLS clients" that don't undertake these costs.  A partial client
>>  cannot commit changes to the group, and only has partial
>>  authentication information for the other members of the group, but is
>>  otherwise able to participate in the group.  In exchange for these
>>  limitations, a partial MLS client can participate in an MLS group
>>  with significantly lower requirements in terms of download, memory,
>>  and processing.
>> 
>> File can be retrieved from:
>> 
>> Please review and indicate your support or objection to proceed with the
>> publication of this document by replying to this email keeping [email-masked]
>> in copy. Objections should be explained and suggestions to resolve them are
>> highly appreciated.
>> 
>> Authors, and WG participants in general, are reminded of the Intellectual
>> Property Rights (IPR) disclosure obligations described in BCP 79 [1].
>> Appropriate IPR disclosures required for full conformance with the provisions
>> of BCP 78 [1] and BCP 79 [2] must be filed, if you are aware of any.
>> Sanctions available for application to violators of IETF IPR Policy can be
>> found at [3].
>> 
>> Thank you.
>> 
>> [1] https://datatracker.ietf.org/doc/bcp78/
>> [2] https://datatracker.ietf.org/doc/bcp79/
>> [3] https://datatracker.ietf.org/doc/rfc6701/
>> 
>> The IETF datatracker status page for this Internet-Draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-mls-partial/
>> 
>> There is also an HTML version available at:
>> https://www.ietf.org/archive/id/draft-ietf-mls-partial-02.html
>> 
>> A diff from the previous version is available at:
>> https://author-tools.ietf.org/iddiff?url2=draft-ietf-mls-partial-02
>> 
>> The GitHub repo can be found at:
>> https://github.com/mlswg/mls-partial
>